body {
	color:<?php echo $bodyText; ?>;
    background:<?php echo $backgroundColor; ?> url(<?php echo $template_path ?>/images/<?php echo $background; ?>.jpg) no-repeat center 187px;
}

a:link,a:visited,.button  {
	color:<?php echo $bodyLink; ?>;
}

a.readon:link,a.readon:visited,
a.btn:link,a.btn:visited {
	border:1px solid <?php echo $bodyLink; ?>;
}

a.readon:hover,a.btn:hover {
	background:<?php echo $bodyLink; ?>;
}

.button, .inputbox {
	border:1px solid <?php echo $bodyLink; ?>;
}

.hotwrapper,.header_wrap2,.topPanelModules,.main_area,.bottom {
	width:<?php echo $overallWidth; ?>px;
}

.path,.upper,.footer_wrap,.header,#main_area_finish {
	width:<?php echo $templateWidth; ?>px;
}

#topmenu {
	width:<?php echo $menuWidth; ?>px;
}

.content_wrap {
	width:<?php echo $contentWidth; ?>px;
}

.column_left {
	width:<?php echo $columnLeftWidth; ?>px;
}

.column_right {
	width:<?php echo $columnRightWidth; ?>px;
}

.search_wrap {
	width:<?php echo $searchWidth; ?>px;
}

.breadcrumbs, a.pathway:link, a.pathway:visited, a.pathway:hover {
	color:<?php echo $breadcrumbsText; ?>;
}

h1 {
	color:<?php echo $componentHeadingText; ?>;
}

h2, h4 {
	color:<?php echo $headingText; ?>;
}

h2 a:link, h2 a:visited {
	color:<?php echo $headingHoverText; ?>;
}

.column_left div.moduletable,
.column_right div.moduletable {
	background: -webkit-gradient(linear, 0 0, 0 bottom, from(<?php echo $moduleBgTop; ?>), to(<?php echo $moduleBgBottom; ?>));
	background: -moz-linear-gradient(<?php echo $moduleBgTop; ?>, <?php echo $moduleBgBottom; ?>);
    background: linear-gradient(<?php echo $moduleBgTop; ?>, <?php echo $moduleBgBottom; ?>);
	border:1px solid <?php echo $columnBorder; ?>;
    color:<?php echo $columnText; ?>;
}

.column_left div.moduletable a,
.column_right div.moduletable a {
    color:<?php echo $columnLink; ?>;
}

div.moduletable h3 span {
	color:<?php echo $columnFirstWord; ?>;
}

div.moduletable h3 {
	color:<?php echo $columnHeading; ?>;
}

.header_wrap {
	background:#000 url(<?php echo $template_path ?>/images/header_bg<?php echo $headerBg; ?>.jpg) center no-repeat;
}

.top_shadow, .wrapper_bottom {
	background:<?php echo $backgroundColor; ?> url(<?php echo $template_path ?>/images/top_shadow<?php echo $headerBg; ?>.jpg) center top no-repeat;
}

#top-panel {
	background:<?php echo $panelBg; ?>;
	border-bottom:3px solid <?php echo $panelBorder; ?>;
}

.topPanelModules div.moduletable h3,.topPanelModules div.moduletable h3 span {
	color:<?php echo $panelHeadings; ?>;
}

.topPanelModules div.moduletable,.topPanelModules ul.menu li a:link,.topPanelModules ul.menu li a:visited {
	color:<?php echo $panelText; ?>;
}

.main_area, .rotator_module {
	border:1px solid <?php echo $contentBorder; ?>;
	background:<?php echo $contentBg; ?> url(<?php echo $template_path ?>/images/box_shadow.png) top center no-repeat;
}

.upper {
	border:1px solid <?php echo $contentBorder; ?>;
    background:<?php echo $contentBg; ?>;
}

#nav li:hover a {
    color:<?php echo $topMenuHoverText; ?>;
}

#nav li a {
    color:<?php echo $topMenuText; ?>;
}

.content {
	background-color:<?php echo $panelBg; ?>;
	color:<?php echo $panelText; ?>;
}

.column_right ul.menu li a:link, .column_right ul.menu li a:visited, .column_left ul.menu li a:link, .column_left ul.menu li a:visited {
	color:<?php echo $mainMenuText; ?>;
}

.column_right ul.menu li a:hover, .column_left ul.menu li a:hover {
	color:<?php echo $mainMenuHoverText; ?>;
}

.column_right li.active a, .column_left li.active a:link, .column_left li.active a:visited {
	color:<?php echo $mainMenuTextActive; ?> !important;
}

.bottom div.module, 
.upper div.module, 
.rotator_module div.moduletable,
.bottom div.module a {
	color:<?php echo $bottomTextColor; ?>;
}

.bottom div.module h3,
.upper div.module h3,
.rotator_module div.moduletable h3 {
	color:<?php echo $bottomLinkColor; ?>;
}

.bottom div.module {
	border:1px solid <?php echo $bottomBorder; ?>;
}

.footer a, .footer {
	color:<?php echo $footerTextColor; ?>;
}

span.home_pics_rounded {
	border:2px solid <?php echo $bodyLink; ?>;
}

.hjt-gallery-list-item-content h3 {
	color:<?php echo $headingText; ?> !important;
}

.hjt-gallery-container {
	color:<?php echo $bodyText; ?> !important;
}