<?php
/*------------------------------------------------------------------------
# "Hot Design Now" Joomla template - September, 2010
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		$showpanel[1] = $this->countModules('panel1');
		$showpanel[2] = $this->countModules('panel2');
		$showpanel[3] = $this->countModules('panel3');
		$showpanel[4] = $this->countModules('panel4');
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');

		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		
		$showleft = $this->countModules('left');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser2 = $this->countModules('user2');
		$showuser3 = $this->countModules('user3');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		//$menu = JFactory::getApplication()->getMenu();
		$showtoolbar = $this->countModules('toolbar');
		$showinset = $this->countModules('inset');
		
		$panelmodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showpanel[$loop]) { $panelmodules++; }
		}
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "980");
		$textDirection = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "285"); 
			$columnLeftPad = 15;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "285");
			$columnRightPad = 15;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		$searchWidth = $templateWidth - 290;
		$overallWidth = $templateWidth;
		$menuWidth = $templateWidth - 4;
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$fontResizeLoad = $this->params->get("fontResizeLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style'];
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie(Style, $templateStyle, $Month);
			}
		
		if($templateStyle) {
			
		require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{

		$bodyText = $this->params->get("bodyText", "#c9c9c9");
		$bodyLink = $this->params->get("bodyLink", "#00D8DC");
		$background = $this->params->get("background", "bg1");
		$headerBg = $this->params->get("headerBg", "1");
		$contentBg = $this->params->get("contentBg", "#313131");
		$contentBorder = $this->params->get("contentBorder", "#797878");
		$backgroundColor = $this->params->get("backgroundColor", "#000000");
		$menuAnimationEffect = $this->params->get("menuEffect", "fadeIn(700)");	
		$topMenuText = $this->params->get("topMenuText", "#ffffff");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#222222");	
		$mainMenuText = $this->params->get("mainMenuText", "#ffffff");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#cccccc");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#000000");
		$breadcrumbsText = $this->params->get("breadcrumbsText", "#ffffff");
		$componentHeadingText = $this->params->get("componentHeadingText", "#ffffff");
		$headingText = $this->params->get("headingText", "#ffffff");
		$headingHoverText = $this->params->get("headingHoverText", "#e4e37c");
		$columnFirstWord = $this->params->get("columnFirstWord", "#e4e37c");
		$columnHeading = $this->params->get("columnHeading", "#ffffff");
		$columnBorder = $this->params->get("columnBorder", "#4f4f4f");
		$moduleBgTop = $this->params->get("moduleBgTop", "#252524");
		$moduleBgBottom = $this->params->get("moduleBgBottom", "#313131");
		$columnText = $this->params->get("columnText", "#ffffff");
		$columnLink = $this->params->get("columnLink", "#000000");
		$panelBg = $this->params->get("panelBg", "#51a0b1");
		$panelText = $this->params->get("panelText", "#dddddd");
		$panelHeadings = $this->params->get("panelHeadings", "#ffffff");
		$panelBorder = $this->params->get("panelBorder", "#ffffff");
		$bottomTextColor = $this->params->get("bottomTextColor", "#ffffff");
		$bottomLinkColor = $this->params->get("bottomLinkColor", "#ffffff");
		$bottomBorder = $this->params->get("bottomBorder", "#2f2f2f");
		$footerTextColor = $this->params->get("footerTextColor", "#000000");
		
		}
		
		$moduleBgTopIE = substr($moduleBgTop, 1);
		$moduleBgBottomIE = substr($moduleBgBottom, 1);
?>
<link href='//fonts.googleapis.com/css?family=Cuprum' rel='stylesheet' type='text/css' />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/layout.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>
<!--[if lt IE 9]>
<style type="text/css">
a.readon:link,a.readon:visited, #nav > li.active a, #nav li:hover ul li a:hover, #nav li#current ul li a, #nav li.active ul li a, .column_left div.moduletable, .column_right div.moduletable, .bottom div.module, span.home_pics_rounded {
	behavior: url(<?php echo $template_path ?>/css/PIE.php);
}
.column_left div.moduletable,
.column_right div.moduletable {
	-pie-background: linear-gradient(<?php echo $moduleBgTop; ?>, <?php echo $moduleBgBottom; ?>);
}
</style>
<![endif]-->
<!--[if gt IE 8]>
<style type="text/css">
.column_left div.moduletable,
.column_right div.moduletable {
	background-image: url("<?php echo $template_path ?>/css/gradient-svg.php?color1=<?php echo $moduleBgTopIE; ?>&color2=<?php echo $moduleBgBottomIE; ?>");
}
</style>
<![endif]-->

<?php JHtml::_('bootstrap.framework', true); ?>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery(" #nav ul ").css({display: "none"}); // Opera Fix
jQuery(" #nav li ").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<?php if ($panelmodules) { ?>
<!-- top panel -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/toppanel.js"></script>
<?php } ?>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($fontResizeLoad) { ?>
<!-- font resizer -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/fontResize.js"></script>
<?php } ?>

<!-- rounded images -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/rounded_images.js"></script>
<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/ie7.css" type="text/css" />
<![endif]-->
</head>
<body>
<div class="header_wrap">
	<?php if ($panelmodules) { ?>
    <div id="top-panel">
         <div class="topPanelModules">
            <?php if($showpanel[1]) { ?>
            <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel1" style="hot" /></div>
            <?php } if($showpanel[2]) { ?>
            <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel2" style="hot" /></div>
            <?php } if($showpanel[3]) { ?>
            <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel3" style="hot" /></div>
            <?php } if($showpanel[4]) { ?>
            <div class="modulerow<?php echo $panelmodules; ?>"><jdoc:include type="modules" name="panel4" style="hot" /></div>
            <?php } ?>
        </div>
        <div style="clear:both"></div>
    </div>
    <div id="sub-panel"><a href="#" id="toggle"><span id="shText">Open</span></a></div>
    <?php } ?>
    <div class="header_wrap2">
        <div class="wrapper_left_edge">
            <div class="wrapper_right_edge">
                <div class="header">
                    <div class="logo">
                        <div class="logo_pad">
                            <a href="index.php"><img src="<?php echo $template_path ?>/images/logo.png" width="249" height="34" alt="Hot Design Now" /></a>
                        </div>
                    </div>
                    <div class="search_wrap">
                    	<jdoc:include type="modules" name="user4" style="xhtml" />
                    </div>
                </div>
                <?php if ($showuser3) { ?>
				<div id="topmenu">
        			<div id="topmenu2">
                		<div id="topmenu_pad">
                    		<jdoc:include type="modules" name="user3" style="none" />
                		</div>
					</div>
        		</div>
    			<div class="clr"></div>
				<?php } ?>
            </div>
        </div>
    </div>
</div>
<div class="top_shadow"></div>
<div class="hotwrapper">
	<?php if ($showuser2) { ?>
    <div class="rotator_module">
    	<jdoc:include type="modules" name="user2" style="xhtml" />
    </div>
    <div class="clr"></div>
    <?php } ?>
    <?php if ($uppermodules) { ?>
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert1" style="rounded" /></div>
        <?php } if($showadvert[2]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert2" style="rounded" /></div>
        <?php } if($showadvert[3]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert3" style="rounded" /></div>
        <?php } if($showadvert[4]) { ?>
        <div class="modulerow<?php echo $uppermodules; ?>"><jdoc:include type="modules" name="advert4" style="rounded" /></div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="main_area">
    	<div class="horiz_line"></div>
        <?php if ($showleft) { ?>
        <div class="column_left">
            <jdoc:include type="modules" name="left" style="hot" />
        </div>
        <?php } ?>
        <div class="content_wrap">
            <div class="content_pad">
            	<?php if ($showinset) { ?>
            	<div class="inset_pad"><jdoc:include type="modules" name="inset" style="xhtml" /></div>
                <div class="clr"></div>
                <?php } ?>
				<?php if (@$_REQUEST['view'] != 'frontpage') { ?><jdoc:include type="modules" name="breadcrumbs" style="none" /><?php } ?>
                <jdoc:include type="message" />
                <jdoc:include type="component" />
                <jdoc:include type="modules" name="toolbar" style="xhtml" />
            </div>
        </div>
        <?php if ($showright) { ?>
        <div class="column_right">
            <jdoc:include type="modules" name="right" style="hot" />
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
</div>
<div class="wrapper_bottom">
    <div class="hotwrapper">
		<?php if ($bottommodules) { ?>
        <div class="bottom">
            <?php if($showuser[5]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user5" style="rounded" /></div>
            <?php } if($showuser[6]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user6" style="rounded" /></div>
            <?php } if($showuser[7]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user7" style="rounded" /></div>
            <?php } if($showuser[8]) { ?>
            <div class="modulerow<?php echo $bottommodules; ?>"><jdoc:include type="modules" name="user8" style="rounded" /></div>
            <?php } ?>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <div class="footer_wrap">
        <div class="footer">
            <jdoc:include type="modules" name="footer" style="none" />
            <p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Hot Joomla Templates.</p>
        </div>
    </div>
</div>
<div style="clear:both"></div>
<jdoc:include type="modules" name="debug" style="none" />    
</body>
</html>