<?php
/*------------------------------------------------------------------------
# "Hot Designation" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

//no direct access
defined('_JEXEC') or die('Direct Access to this location is not allowed.');

require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_content'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'route.php');
global $mainframe;

// Path assignments
$mosConfig_absolute_path = JPATH_SITE;
$mosConfig_live_site = JURI :: base();
if(substr($mosConfig_live_site, -1)=="/") { $mosConfig_live_site = substr($mosConfig_live_site, 0, -1); }
 
// get parameters from the module's configuration

$moduleclass_sfx = $params->get('moduleclass_sfx','');

$smallPicBorderSize = $params->get('smallPicBorderSize','3');
$smallPicBorderStyle = $params->get('smallPicBorderStyle','solid');
$smallPicBorderColor = $params->get('smallPicBorderColor','#349995');
$bigPicBorderSize = $params->get('bigPicBorderSize','0');
$bigPicBorderStyle = $params->get('bigPicBorderStyle','solid');
$bigPicBorderColor = $params->get('bigPicBorderColor','#349995');

$leftWidth = $params->get('leftWidth','350');
$smallPicWidth = $params->get('smallPicWidth','90');
$smallPicHeight = $params->get('smallPicHeight','90');
$bigPicWidth = $params->get('bigPicWidth','610');
$bigPicWidthWithMargin = $bigPicWidth - 10 - ($bigPicBorderSize * 2);
$moduleWidth = $leftWidth + $bigPicWidth;
$moduleHeight = $params->get('moduleHeight','370');
$bigPicHeight = $params->get('bigPicHeight','320');
$itemsNumber = $params->get('itemsNumber','3');
$speed = $params->get('speed','5000');
$speedBigPic = $params->get('speedBigPic','1000');
$speedList = $params->get('speedList','500');
$repeat = $params->get('repeat','1');
$leftOffset = $params->get('leftOffset','10');
$rightOffset = $params->get('rightOffset','10');
$dotsOffset = $params->get('dotsOffset','30');
$dotsDistance = $params->get('dotsDistance','6');
$readMore = $params->get('readMore','Learn more');
$linkedTitles = $params->get('linkedTitles','0');
$arrowWidth = $params->get('arrowWidth','30');
$arrowHeight = $params->get('arrowHeight','30');

$headingColor = $params->get('headingColor','#00D8DC');
$headingFont = $params->get('headingFont','Tahoma, Geneva, sans-serif');
$headingFontSize = $params->get('headingFontSize','22');
$headingLineHeight = 25;
if ($headingFontSize > $headingLineHeight) { $headingLineHeight = $headingFontSize; }
$headingWeight = $params->get('headingWeight','normal');
$headingStyle = $params->get('headingStyle','normal');

$textColor = $params->get('textColor','#000000');
$textFont = $params->get('textFont','Tahoma, Geneva, sans-serif');
$textFontSize = $params->get('textFontSize','12');
$textWeight = $params->get('textWeight','normal');
$textStyle = $params->get('textStyle','normal');

for ($loop = 1; $loop <= 15; $loop += 1) {
$slot[$loop] = $params->get('slot'.$loop,'');
}

for ($loop = 1; $loop <= 15; $loop += 1) {
$heading[$loop] = $params->get('heading'.$loop,'');
}

for ($loop = 1; $loop <= 15; $loop += 1) {
$text[$loop] = $params->get('text'.$loop,'');
}

for ($loop = 1; $loop <= 15; $loop += 1) {
$smallImage[$loop] = $params->get('smallImage'.$loop,'');
}

for ($loop = 1; $loop <= 15; $loop += 1) {
$bigImage[$loop] = $params->get('bigImage'.$loop,'');
}

for ($loop = 1; $loop <= 15; $loop += 1) {
$link[$loop] = $params->get('link'.$loop,'');
}

require(JModuleHelper::getLayoutPath('mod_hot_designation'));
