<?php
/*------------------------------------------------------------------------
# "Hot Designation" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// load jQuery/jQueryUI
JHtml::_('jquery.framework');
JHtml::_('jquery.ui');

// load scripts
$doc->addScript($mosConfig_live_site.'/modules/mod_hot_designation/js/hot_designation.js');

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_designation/tmpl/hot_designation.css' );

// style declaration
$doc->addStyleDeclaration( '

.hjt-gallery-list-item-content h3 {
	font-size:'.$headingFontSize.'px;
	font-family:'.$headingFont.';
	color:'.$headingColor.' !important;
	font-weight:'.$headingWeight.' !important;
	font-style:'.$headingStyle.' !important;
	line-height:'.$headingLineHeight.'px;
}

.hjt-gallery-container {
	font-size:'.$textFontSize.'px;
	font-family:'.$textFont.';
	font-weight:'.$textWeight.';
	font-style:'.$textStyle.';
	overflow:hidden;
	width:'.$moduleWidth.'px;
	height:'.$moduleHeight.'px;
	color:'.$textColor.';
}

.hjt-gallery-list-container {
	width:'.$leftWidth.'px;
	height:'.$moduleHeight.'px;
	max-height:'.$moduleHeight.'px;
}

.hjt-gallery-list {
	width:'.$leftWidth.'px;
}

.hjt-gallery-image-view {
	width:'.$bigPicWidthWithMargin.'px;
	height:'.$bigPicHeight.'px;
	border:'.$bigPicBorderSize.'px '.$bigPicBorderStyle.' '.$bigPicBorderColor.';
}

.hjt-item-arrow {
	height:'.$headingLineHeight.'px;
	background-position:center;
}

.hjt-gallery-list-item-thumb img {
	border:'.$smallPicBorderSize.'px '.$smallPicBorderStyle.' '.$smallPicBorderColor.';
}

' );

?>

<script type="text/javascript">
	jQuery(document).ready(function() {
		jQuery('#hjtGalContainer').hjtgallery({
			displayListItems: <?php echo $itemsNumber; ?>,
			slideTimeout: <?php echo $speed; ?>,
			imgDir: '<?php echo $mosConfig_live_site; ?>/modules/mod_hot_designation/images',
			hightlight: ['lorem ipsum'],
			startTimeout: 0, // opening effect duration
			fadeTimeout: <?php echo $speedBigPic; ?>,
			slideTimeout: <?php echo $speed; ?>,
			repeatSlideShow:<?php echo $repeat; ?>,
			swapItemsTimeout:<?php echo $speedList; ?>,
			arrowWidth: '<?php echo $arrowWidth; ?>px',
			arrowHeight: '<?php echo $arrowHeight; ?>px',
			leftArrowOffset: <?php echo $leftOffset; ?>,
			rightArrowOffset: -<?php echo $rightOffset; ?>,
			starsVerticalOffset: <?php echo $dotsOffset; ?>,
			starsDistance:<?php echo $dotsDistance; ?>
		});
		
		jQuery('div.hjt-gallery-cmd-left,div.hjt-gallery-cmd-right').width(<?php echo $arrowWidth; ?>).height(<?php echo $arrowHeight; ?>);
		jQuery('div.hjt-gallery-cmd-left img,div.hjt-gallery-cmd-right img').width(<?php echo $arrowWidth; ?>).height(<?php echo $arrowHeight; ?>);
			
	});  
</script> 

<div id="hjtGalContainer" style="display:none;">
	<?php
	for ($loop = 1; $loop <= 15; $loop += 1) {    
		if ($slot[$loop]) { ?>
	    
	    <img align="left" src="<?php echo $mosConfig_live_site; ?>/<?php echo $smallImage[$loop]; ?>" width="<?php echo $smallPicWidth; ?>" height="<?php echo $smallPicHeight; ?>" alt="" />
	    <img src="<?php echo $mosConfig_live_site; ?>/<?php echo $bigImage[$loop]; ?>" width="<?php echo $bigPicWidthWithMargin; ?>" height="<?php echo $bigPicHeight; ?>" alt="" />
	    <h3><?php if($link[$loop] && $linkedTitles) { ?><a href="<?php echo $link[$loop]; ?>"><?php } echo $heading[$loop]; ?><?php if($link[$loop] && $linkedTitles) { ?></a><?php } ?></h3>
	    <p><?php echo $text[$loop]; ?> <?php if($link[$loop]) { ?><a href="<?php echo $link[$loop]; ?>"><?php echo $readMore; ?></a><?php } ?></p>
	    <hr />
	<?php
	    }
	}
	?>
</div>